## efitools 1.4.2

=== debian/changelog ===
efitools (1.4.2-2) unstable; urgency=medium

  * Add missing build-depends (Closes: #822262)
  * Fix typo in README.debian
  * Add missing license information for include/* and xxdi.pl
  * Bump Standards Version to 3.9.8

 -- Pierre Chifflier <pollux@debian.org>  Tue, 26 Apr 2016 10:21:38 +0200

efitools (1.4.2-1) unstable; urgency=low

  * Initial release (Closes: #702255)

 -- Pierre Chifflier <pollux@debian.org>  Tue, 19 Apr 2016 08:32:13 +0100
