=== debian/control ===
Source: efitools
Section: admin
Priority: optional
Maintainer: Pierre Chifflier <pollux@debian.org>
Build-Depends: debhelper (>= 9.0.0),
    libfile-slurp-perl,
    help2man,
    libssl-dev,
    openssl,
    gnu-efi,
    sbsigntool
Standards-Version: 3.9.8
Homepage: http://blog.hansenpartnership.com/uefi-secure-boot/
#Vcs-Git: git://git.debian.org/collab-maint/efitools.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/efitools.git;a=summary

Package: efitools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sbsigntool
Description: Tools to manipulate EFI secure boot keys and signatures
 This package installs a variety of tools for manipulating keys and binary
 signatures on UEFI secure boot platforms.
 The tools provide access to the keys and certificates stored in the
 secure variables of the UEFI firmware, usually in the NVRAM area.
