## efitools 1.4.2+git20140118

=== debian/changelog ===
efitools (1.4.2+git20140118-0ubuntu2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 07 Feb 2018 11:35:23 +0000

efitools (1.4.2+git20140118-0ubuntu1) trusty; urgency=low

  * Initial release into Ubuntu.
    - Feature Freeze Exception: LP #1299594.

 -- Jonathan Davies <jonathan.davies@canonical.com>  Sat, 29 Mar 2014 18:55:36 +0000
