=== debian/changelog ===
efitools (1.8.1-1) unstable; urgency=medium

  * Package salvaged (Closes: #912306)
  * New upstream release (Closes: #823751, #900889)
  * Remove makefiles-clean patch, applied upstream
  * Update makefile-enable-harden-local-files patch

 -- Arnaud Rebillout <arnaud.rebillout@collabora.com>  Fri, 01 Jun 2018 16:10:50 +0700
