=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: efitools
 Section: admin
 Priority: optional
-Maintainer: Pierre Chifflier <pollux@debian.org>
+Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
+Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>
 Build-Depends: debhelper (>= 9.0.0),
     libfile-slurp-perl,
     help2man,
@@ -11,8 +12,8 @@
     sbsigntool
 Standards-Version: 3.9.8
 Homepage: http://blog.hansenpartnership.com/uefi-secure-boot/
-#Vcs-Git: git://git.debian.org/collab-maint/efitools.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/efitools.git;a=summary
+Vcs-Git: https://salsa.debian.org/efi-team/efitools.git
+Vcs-Browser: https://salsa.debian.org/efi-team/efitools
 
 Package: efitools
 Architecture: any
