=== lib/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 	execute.o configtable.o shell.o security_policy.o \
 	shim_protocol.o pkcs7verify.o
 
-LIBFILES = $(FILES) kernel_efivars.o
+LIBFILES = $(FILES) kernel_efivars.o openssl_sign.o
 EFILIBFILES = $(patsubst %.o,%.efi.o,$(FILES)) variables.o 
 
 include ../Make.rules
