=== debian/changelog ===
efitools (1.9.2-5) unstable; urgency=medium

  * Team upload.
  * Adapt no-efi patch to riscv64.

 -- Bastian Germann <bage@debian.org>  Wed, 04 Feb 2026 11:49:32 +0100

efitools (1.9.2-4) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Support building with a multiarch gnu-efi. (Closes: #1125740)

 -- Bastian Germann <bage@debian.org>  Sun, 18 Jan 2026 01:25:53 +0100

efitools (1.9.2-3.7) unstable; urgency=medium

  * Non-maintainer upload.
  * Use objcopy --output-target instead of --target. (Closes: #1122408)

 -- Bastian Germann <bage@debian.org>  Mon, 05 Jan 2026 22:55:31 +0100

efitools (1.9.2-3.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 15 (Closes: #1114096)

 -- Luca Boccassi <bluca@debian.org>  Wed, 24 Sep 2025 00:07:00 +0100

efitools (1.9.2-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Disable efi binaries on aarch64

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Mar 2025 13:31:13 +0100

efitools (1.9.2-3.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Actually add the patch to disable stack-protector flags.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Mar 2025 15:41:10 +0100

efitools (1.9.2-3.3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload.
  * Tweak Yves patch to actually elide fix-ftbfs-lp2083030.patch
  * Add patch to force no-stack-protector, fixing build failure where it is
    enabled

  [ Yves-Alexis Perez <corsac@debian.org> ]
  * revert not building files (Closes: #1069410)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 21:35:47 +0100

efitools (1.9.2-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Import patches from Ubuntu to fix FTBFS. (Closes: #1069410)

 -- Luca Boccassi <bluca@debian.org>  Mon, 24 Feb 2025 22:19:32 +0000

efitools (1.9.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  [ zhangdandan <zhangdandan@loongson.cn> ]
  * Add build support for loongarch64 (Closes: #1069141

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Sep 2024 16:09:33 +0200

efitools (1.9.2-3) unstable; urgency=medium

  [ Bo YU ]
  * Add patch to allow building on riscv64. Closes: #1012849

  * Team upload

 -- Steve McIntyre <93sam@debian.org>  Fri, 17 Jun 2022 00:53:21 +0100

efitools (1.9.2-2) unstable; urgency=medium

  [ Steve McIntyre ]
  * Fix occasional FTBFS due to incorrect dependency.
    Closes: #1010996. Thanks to Adrian Bunk for the patch!

  * Team upload

 -- Steve McIntyre <93sam@debian.org>  Tue, 24 May 2022 18:44:35 +0000

efitools (1.9.2-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Merge tag 'v1.9.2' into debian. (Closes: #920014)
  * Refresh patch to remove fuzz from 1.9.2.

  [ Steve McIntyre ]
  * Take several fixes from the "Debian Janitor"
    + Trim trailing whitespace in debian/rules
    + Use secure copyright file specification URI.
    + Bump debhelper from old 9 to 12.
    + Update Standards-Version to 4.4.1
  * Team upload

 -- Steve McIntyre <93sam@debian.org>  Mon, 23 Dec 2019 18:39:27 +0000
