=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Section: admin
 Priority: optional
 Maintainer: Debian UEFI Maintainers <debian-efi@lists.debian.org>
-Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>
-Build-Depends: debhelper (>= 9.0.0),
+Uploaders: Arnaud Rebillout <arnaud.rebillout@collabora.com>, Steve McIntyre <93sam@debian.org>
+Build-Depends: debhelper-compat (= 12),
     libfile-slurp-perl,
     help2man,
     libssl-dev,
     openssl,
     gnu-efi,
-    sbsigntool
-Standards-Version: 3.9.8
+    sbsigntool,
+    pkgconf,
+Standards-Version: 4.4.1
 Homepage: http://blog.hansenpartnership.com/uefi-secure-boot/
 Vcs-Git: https://salsa.debian.org/efi-team/efitools.git
 Vcs-Browser: https://salsa.debian.org/efi-team/efitools
