=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildtools.mk

ifeq ($(DEB_HOST_ARCH_CPU),i386))
ARCH=ia32
else
ARCH=$(DEB_HOST_GNU_CPU)
endif

override_dh_auto_build:
	dh_auto_build -- ARCH=$(ARCH) LD=$(LD) OBJCOPY=$(OBJCOPY)

override_dh_auto_install:
	dh_auto_install -- EFIDIR="debian/efitools/usr/lib/efitools/${DEB_TARGET_MULTIARCH}"

%:
	dh $@
